Create batch calls

This endpoint creates multiple batch phone calls for an ElevenLabs agent.

POST /Agent/create-batch-call

This endpoint creates multiple batch phone calls for an ElevenLabs agent.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: AgentCreateBatchCallRequestDto

PropertyTypeRequiredDescriptionConstraints
batchCallNamestringNo—nullable
agentIdinteger · int32No——
fromNumberstringNo—nullable
tasksarray<AgentBatchCallTaskDto>No—nullable
scheduledTimestring · date-timeNo—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Agent/create-batch-call' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "batchCallName": "string",
  "agentId": 0,
  "fromNumber": "string",
  "tasks": [
    {
      "contactName": "string",
      "toNumber": "string",
      "dynamicVariables": {},
      "metadata": "string"
    }
  ],
  "scheduledTime": "2026-09-22T18:00:00Z"
}'

Responses

StatusDescriptionResponse body
200Batch calls created successfullyNo response body is defined.

Data models

AgentBatchCallTaskDto
PropertyTypeRequiredDescriptionConstraints
contactNamestringNo—nullable
toNumberstringNo—nullable
dynamicVariablesobjectNo—nullable
metadataanyNo—nullable
AgentCreateBatchCallRequestDto
PropertyTypeRequiredDescriptionConstraints
batchCallNamestringNo—nullable
agentIdinteger · int32No——
fromNumberstringNo—nullable
tasksarray<AgentBatchCallTaskDto>No—nullable
scheduledTimestring · date-timeNo—nullable